Bug 189004 - maintainer update: lang/x10
Summary: maintainer update: lang/x10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Carlo Strub
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-25 23:50 UTC by Jason W. Bacon
Modified: 2014-05-19 21:00 UTC (History)
0 users

See Also:


Attachments
file.diff (669 bytes, patch)
2014-04-25 23:50 UTC, Jason W. Bacon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2014-04-25 23:50:00 UTC
Patch for 10.0-RELEASE and later build failures.  Fixes a problem in bundled Boehm GC configure script, which mistakes FreeBSD 1* for FreeBSD 1.* and disables dynamic libraries.

Fix: Attached.

Patch attached with submission follows:
How-To-Repeat: Try to build lang/x10 on FreeBSD 10 or 11.
Comment 1 Carlo Strub freebsd_committer 2014-05-18 20:34:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-05-18 21:21:21 UTC
Author: cs
Date: Sun May 18 20:21:18 2014
New Revision: 354466
URL: http://svnweb.freebsd.org/changeset/ports/354466
QAT: https://qat.redports.org/buildarchive/r354466/

Log:
  Patch for 10.0-RELEASE and later build failures. Fixes a problem in bundled
  Boehm GC configure script, which mistakes FreeBSD 1* for FreeBSD 1.* and
  disables dynamic libraries.
  
  PR:		ports/189004
  Submitted by:	Jason Bacon <jwbacon@tds.net> (maintainer)
  MFH:		2014Q2

Modified:
  head/lang/x10/Makefile

Modified: head/lang/x10/Makefile
==============================================================================
--- head/lang/x10/Makefile	Sun May 18 20:07:43 2014	(r354465)
+++ head/lang/x10/Makefile	Sun May 18 20:21:18 2014	(r354466)
@@ -56,6 +56,7 @@ post-patch:
 	${CP} ${DISTDIR}/org.eclipse.equinox.common_3.6.0.v20100503.jar ${WRKSRC}/lib
 	${CP} ${DISTDIR}/commons-math-2.2.jar ${WRKSRC}/lib
 	${CP} ${DISTDIR}/bdwgc-7.1.tar.gz ${WRKDIR}/x10.runtime/src-cpp/bdwgc
+	(cd ${WRKDIR}/x10.runtime/src-cpp/bdwgc/src && tar zxvf ../bdwgc-7.1.tar.gz && ${REINPLACE_CMD} -e 's|freebsd1\*|freebsd1.*|g' configure)
 
 do-install:
 .for f in X10Launcher apgas precommit x10 x10c x10c++ x10j
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Carlo Strub freebsd_committer 2014-05-18 21:21:46 UTC
State Changed
From-To: open->closed

Committed. Thank you very much.
Comment 4 dfilter service freebsd_committer 2014-05-19 20:55:35 UTC
Author: cs
Date: Mon May 19 19:55:30 2014
New Revision: 354585
URL: http://svnweb.freebsd.org/changeset/ports/354585
QAT: https://qat.redports.org/buildarchive/r354585/

Log:
  MFH: r354466
  
  Patch for 10.0-RELEASE and later build failures. Fixes a problem in bundled
  Boehm GC configure script, which mistakes FreeBSD 1* for FreeBSD 1.* and
  disables dynamic libraries.
  
  PR:		ports/189004
  Submitted by:	Jason Bacon <jwbacon@tds.net> (maintainer)
  Approved by:	portmgr

Modified:
  branches/2014Q2/lang/x10/Makefile
Directory Properties:
  branches/2014Q2/   (props changed)

Modified: branches/2014Q2/lang/x10/Makefile
==============================================================================
--- branches/2014Q2/lang/x10/Makefile	Mon May 19 19:40:09 2014	(r354584)
+++ branches/2014Q2/lang/x10/Makefile	Mon May 19 19:55:30 2014	(r354585)
@@ -56,6 +56,7 @@ post-patch:
 	${CP} ${DISTDIR}/org.eclipse.equinox.common_3.6.0.v20100503.jar ${WRKSRC}/lib
 	${CP} ${DISTDIR}/commons-math-2.2.jar ${WRKSRC}/lib
 	${CP} ${DISTDIR}/bdwgc-7.1.tar.gz ${WRKDIR}/x10.runtime/src-cpp/bdwgc
+	(cd ${WRKDIR}/x10.runtime/src-cpp/bdwgc/src && tar zxvf ../bdwgc-7.1.tar.gz && ${REINPLACE_CMD} -e 's|freebsd1\*|freebsd1.*|g' configure)
 
 do-install:
 .for f in X10Launcher apgas precommit x10 x10c x10c++ x10j
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"